array.len {PivotalR} | R Documentation

## Get the length of the array in an array column

### Description

The column of a table in database can be an array. This function measures the length of the array.

### Usage

    array.len(x)

### Arguments

`x` | A `db.obj` object.

### Value

An integer, which is the length of the array.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.array` combines columns of a table/view into an array.

`as.list` expands the `db.obj` columns into a list of separated `db.Rquery` objects.

`cbind2` and `cbind` combine multiple `db.obj` objects into one `db.obj` object.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    delete("abalone", conn.id = cid)
    x <- as.db.data.frame(abalone, "abalone", conn.id = cid, verbose = FALSE)
    y <- db.array(x[-2]) # put columns into an array
    names(y) # "agg_opr"
    array.len(y$agg_opr) # 9

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]